import request from '@/utils/request'

// 查询榜单与学校关联列表
export function listMallLinkRankingSchool(query) {
  return request({
    url: '/mall/mallLinkRankingSchool/list',
    method: 'get',
    params: query
  })
}

// 查询榜单与学校关联详细
export function getMallLinkRankingSchool(linkId) {
  return request({
    url: '/mall/mallLinkRankingSchool/' + linkId,
    method: 'get'
  })
}

// 新增榜单与学校关联
export function addMallLinkRankingSchool(data) {
  return request({
    url: '/mall/mallLinkRankingSchool',
    method: 'post',
    data: data
  })
}

// 修改榜单与学校关联
export function updateMallLinkRankingSchool(data) {
  return request({
    url: '/mall/mallLinkRankingSchool',
    method: 'put',
    data: data
  })
}

// 删除榜单与学校关联
export function delMallLinkRankingSchool(linkId) {
  return request({
    url: '/mall/mallLinkRankingSchool/' + linkId,
    method: 'delete'
  })
}
